import "../../../../chunks/chunk.QU3DSPNU.js";
import { createElement } from "react";
import { IconShield as IconShieldClass } from "../../../../components/icon/icons/shield.component.js";
import { getReactComponent } from "../../../../utils/react.js";
const IconShield = (props) => {
  IconShieldClass.define();
  const JSXElement = getReactComponent("gds-icon-shield");
  const propsWithClass = { ...props, class: props.className, ref: props.ref };
  return createElement(JSXElement, propsWithClass);
};
IconShield.displayName = "IconShield";
export {
  IconShield
};
